Load accounts even when the prpl can't be loaded

RESOLVED FIXED in 0.2a1

Status

Chat Core
General
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: florian, Assigned: florian)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Assignee)

Description

4 years ago
*** Original post on bio 2 at 2007-10-07 13:26:00 UTC ***

Currently, an account whose protocol plugin can't be loaded doesn't appear in the account manager. It is impossible to delete it, and when no protocol plugin loaded, the account wizard get opended at startup, which makes the user think the profile got lost.

On linux we can see: WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv)) failed: file src/purpleAccount.cpp, line 182 on stderr if built with -DDEBUG
(Assignee)

Comment 1

4 years ago
*** Original post on bio 2 at 2008-09-02 12:04:28 UTC ***

This will become more important/common if we load protocol plugins as extensions.
Priority: P5 → --
Target Milestone: --- → 0.2a1
(Assignee)

Comment 2

4 years ago
*** Original post on bio 2 at 2009-05-23 21:51:41 UTC ***

Fixed: http://hg.instantbird.org/rev/f60b0e5d371d
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.